Passes
List Pass Designs
Lists Pass Designs
Authorization
HTTPBearer AuthorizationBearer <token>
In: header
Query Parameters
page?integer
Page number
Default
1Range
1 <= valuesize?integer
Page size
Default
50Range
1 <= value <= 100Header Parameters
Members-Context?|
Members organization id (org_…) when the client has multiple organizations.
Response Body
application/json
application/json
curl -X GET "https://api.members.dev/v1/passes/designs"{
"items": [
{
"title": "string",
"background_color": "#000000",
"label_color": "string",
"foreground_color": "string",
"strip_color": "string",
"layout": "strip_image",
"strip_image_url": "string",
"logo_url": "string",
"logo_title": "string",
"header_field_label": "string",
"header_field": {
"kind": "system",
"key": "name"
},
"primary_field_label": "string",
"primary_field": {
"kind": "system",
"key": "name"
},
"secondary_fields": [
{
"label": "string",
"field": {
"kind": "system",
"key": "name"
}
}
],
"barcode_type": "none",
"barcode_field": {
"kind": "system",
"key": "name"
},
"show_barcode_alt_text": false,
"eligibility": {
"type": "active_members"
},
"id": "string",
"organization_id": "string",
"archived_at": {},
"created_at": null,
"updated_at": null
}
],
"total": 0,
"page": 1,
"size": 1,
"pages": 0
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}